=== modified file 'olive/handler.py'
--- olive/handler.py	2006-09-13 20:19:31 +0000
+++ olive/handler.py	2006-09-26 05:26:06 +0000
@@ -30,6 +30,7 @@
 
 import bzrlib.errors as errors
 from bzrlib.branch import Branch
+from bzrlib.workingtree import WorkingTree
 
 from dialog import OliveDialog
 from menu import OliveMenu
@@ -162,7 +163,8 @@
     def on_menuitem_branch_status_activate(self, widget):
         """ Branch/Status... menu handler. """
         from status import OliveStatus
-        status = OliveStatus(self.gladefile, self.comm, self.dialog)
+        wt, wtpath = WorkingTree.open_containing(self.comm.get_path())
+        status = OliveStatus(self.gladefile, wt, wtpath, self.dialog)
         status.display()
     
     def on_menuitem_branch_initialize_activate(self, widget):

=== modified file 'olive/status.py'
--- olive/status.py	2006-09-24 18:10:41 +0000
+++ olive/status.py	2006-09-26 05:26:06 +0000
@@ -43,30 +43,29 @@
 
 class OliveStatus:
     """ Display Status window and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, wt, wtpath, dialog):
         """ Initialize the Status window. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_status')
         
-        # Communication object
-        self.comm = comm
         # Dialog object
         self.dialog = dialog
         
         # Get the Status window widget
         self.window = self.glade.get_widget('window_status')
+        self.wt = wt
+        self.wtpath = wtpath
         
         # Check if current location is a branch
         try:
-            (self.wt, path) = WorkingTree.open_containing(self.comm.get_path())
-            branch = self.wt.branch
+            branch = wt.branch
         except errors.NotBranchError:
             self.notbranch = True
             return
         except:
             raise
         
-        file_id = self.wt.path2id(path)
+        file_id = self.wt.path2id(wtpath)
 
         self.notbranch = False
         if file_id is None:
@@ -98,10 +97,7 @@
         column.add_attribute(cell, "text", 0)
         self.treeview.append_column(column)
         
-        if bzrlib.version_info < (0, 9):
-            delta = compare_trees(self.old_tree, self.wt)
-        else:
-            delta = self.wt.changes_from(self.old_tree)
+        delta = self.wt.changes_from(self.old_tree)
 
         changes = False
         

